> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stack Profiles Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/stack-profiles
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/stack-profiles:
    get:
      tags:
        - Stack Profiles API
      summary: List Stack Profiles Endpoint
      operationId: list_stack_profiles_endpoint_api_v1_org_stack_profiles_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 25
            title: Page Size
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-ankra-organisation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StackProfileListResult'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StackProfileListResult:
      properties:
        result:
          items:
            $ref: '#/components/schemas/StackProfileSummary'
          type: array
          title: Result
          default: []
        total_count:
          type: integer
          title: Total Count
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
      type: object
      required:
        - total_count
        - page
        - page_size
      title: StackProfileListResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StackProfileSummary:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        organisation_id:
          type: string
          format: uuid4
          title: Organisation Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          type: string
          title: Category
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
        visibility:
          $ref: '#/components/schemas/StackProfileVisibility'
        latest_version:
          type: integer
          title: Latest Version
        current_version:
          type: integer
          title: Current Version
        source_cluster_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Source Cluster Id
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - organisation_id
        - name
        - category
        - visibility
        - latest_version
        - current_version
        - created_at
        - updated_at
      title: StackProfileSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    StackProfileVisibility:
      type: string
      enum:
        - organisation
        - public
      title: StackProfileVisibility

````